Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77901 - zsh build leaves files in /tmp.
Summary: zsh build leaves files in /tmp.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: zsh
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-14 23:57 UTC by hjl
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-01 00:59:20 UTC


Attachments (Terms of Use)
A patch to fix test (deleted)
2002-11-14 23:58 UTC, hjl
no flags Details | Diff

Description hjl 2002-11-14 23:57:31 UTC
One test from "make check" in zsh will do

setopt noglob

rm -f ...*.xxx

it doesn't work.

Comment 1 hjl 2002-11-14 23:58:09 UTC
Created attachment 85147 [details]
A patch to fix test

Comment 2 Jens Petersen 2002-12-02 01:38:21 UTC
Thanks for the report.  Do you still see this with zsh-4.0.6-1 in rawhide?

(I haven't checked, but aren't the tests run in separate subshells?)

Comment 3 Jens Petersen 2003-02-10 13:58:30 UTC
s/subshells/subdirs/?

I don't see any left over files after "make test".
Could you describe exactly how to reproduce this
and what you see, please.

Comment 4 Jens Petersen 2003-05-01 00:59:20 UTC
Closing for now.


Note You need to log in before you can comment on or make changes to this bug.